Автор Тема: Zen-Cart 1.5.5 по русски (русский язык, страны, регионы, валюта)  (Прочитано 6633 раз)
  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Приветствую. Впервые сталкиваюсь с ZenCart. Установил все, как указано, русифицировано только меню. Но проблема в другом - кирилица записывается знаками вопроса "?". Пишу "Интернет магазин", сохраняю, а в поле отображается "?? ?? ?? ?? ?? ??". Вроде кодировка выровнена вся, в чем проблема?

  • Администратор
  • Постоялец
  • *****
  • Сообщений: 147
    • Просмотр профиля
Добрый день!
Приветствую. Впервые сталкиваюсь с ZenCart. Установил все, как указано, русифицировано только меню. Но проблема в другом - кирилица записывается знаками вопроса "?". Пишу "Интернет магазин", сохраняю, а в поле отображается "?? ?? ?? ?? ?? ??". Вроде кодировка выровнена вся, в чем проблема?
Проверьте кодировку (COLLATE) таблиц бд. Должна быть utf8_general_ci. Хотя, на сколько я помню, инсталлятор должен указывать кодировку таблиц при их создании.
Если Вы пришлёте мне доступ к фтп, то я смогу определить причину более точно.

  • Администратор
  • Постоялец
  • *****
  • Сообщений: 147
    • Просмотр профиля
Обновлено до версии Zen-Cart 1.5.5e 09/03/2017.
Изменения:
- в документации
- файл /includes/classes/upload.php - совместимость со старыми версиями php
- файлы /admin/includes/languages/english.php и /admin/includes/languages/russian.php - добавлена языковая константа

  • Администратор
  • Постоялец
  • *****
  • Сообщений: 147
    • Просмотр профиля
Много мелких исправлений. В основном переводы.

  • Администратор
  • Постоялец
  • *****
  • Сообщений: 147
    • Просмотр профиля
Обновление дистрибутива - обновление библиотеки PHPMailer до версии 5.2.23
Отдельный патч - PHPMailer-5-2-23-for-includes-classes-vendors.zip

  • Администратор
  • Постоялец
  • *****
  • Сообщений: 147
    • Просмотр профиля
Обновление дистрибутива - добавлен сервер ЦБР обновления курсов валют.

  • Администратор
  • Постоялец
  • *****
  • Сообщений: 147
    • Просмотр профиля
Обновление дистрибутива - Изменён текст страницы конфиденциальности.
Добавлены слова про обработку персональных данных.

  • Администратор
  • Постоялец
  • *****
  • Сообщений: 147
    • Просмотр профиля
Обновление.
Теперь для перевода таблицы используется языковой файл admin-demo/includes/languages/russian/extra_definitions/configuration.php.
Переводить и корректировать перевод стало значительно проще!

  • Администратор
  • Постоялец
  • *****
  • Сообщений: 147
    • Просмотр профиля
Исправлена ошибка загрузки языковых файлов модулей оплаты/доставки/итогов в админе.
Спасибо Yesaul за багрепорты.

  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Буду очень благодарна за помощь. У меня магазин на 1.3.8
Я создала новый на 1.5.5 и импортировала туда базу
В результате снаружи все работает, а зайти в админку не дает. Требует обновления базы.
Пытаюсь обновить. Выдает: Невозможно обновиться до версии 1.3.8. Определена текущая версия 1.3.6 и сначала надо обновиться до версии 1.3.7. Скрин http://prntscr.com/gtko7r

Спасибо!

  • Администратор
  • Постоялец
  • *****
  • Сообщений: 147
    • Просмотр профиля
Добрый день!
Буду очень благодарна за помощь. У меня магазин на 1.3.8
Я создала новый на 1.5.5 и импортировала туда базу
В результате снаружи все работает, а зайти в админку не дает. Требует обновления базы.
Пытаюсь обновить. Выдает: Невозможно обновиться до версии 1.3.8. Определена текущая версия 1.3.6 и сначала надо обновиться до версии 1.3.7. Скрин http://prntscr.com/gtko7r

Спасибо!
Один раз сталкивался с такой проблемой. Решал "руками". В чём причина - не помню. Если хотите, могу помочь обновиться. Безвозмездно :) Напишите мне на andrew@ecommerce-service.com

  • Администратор
  • Постоялец
  • *****
  • Сообщений: 147
    • Просмотр профиля
Обновлено до версии Zen-Cart 1.5.5f
Ссылка на GitHub
What's different in v1.5.5e vs v1.5.5f?
**Замечание: Версия v1.5.5f не совместима с PHP 7.2** - вызывает множество "предупреждений о неопределенных константах".
Изменения в версии 1.5.5f:
  • Checkout - As a help to people getting PayPal TLS notifications, the CURL Testing tool now reports compatibility with tlstest.paypal.com
  • Checkout - Square Payments support is now built-in. Start taking credit card payments in just 5 minutes! See www.zen-cart.com/partners/square_setup
  • Checkout - FirstData soft-descriptors now optional via module settings
  • Checkout - PayPal - Australia settings explained better in configuration screen
  • Checkout - PayPal IPN-handler posts back over ipnpb URL and now gracefully ignores unrecognized new notification types
  • Checkout - Payeezy module now also accommodates 2-series MC BINs
  • Checkout - Authorize.net AIM - add option to display reason for CVV or date failure
  • Checkout - Authorize.net AIM - improvements to detect always-SSL site configuration
  • Checkout - Credit Card Slamming threshold now customizable via Observer code or plugin
  • Checkout - Internal fix to payment modules to avoid thousands-rounding errors
  • Fix upload-class bug related to filtering desired file-extensions
  • Fix multi-language error (since v155a) in functions_email for PHPMailer
  • Fix possible bug in subdomain handling of secure cookie session handling
  • Fix attribute sort-order rules
  • Fixed - if an invalid or non-existent tax rate was encountered, would get: PHP Warning: A non-numeric value encountered in /includes/functions/functions_taxes.php on line 172
  • Admin: Restored percent calculators on Products Price Manager
  • Admin: Fix a few sanitizer fields to avoid over-cleaning
  • Admin: Update currency-exchange calculators since BOC change
  • Template - Support ISO-8601 style date-of-birth date
  • Template - Compatibility updates to accommodate OnePageCheckout plugin integration
  • Template - Improvements for jQuery conflict prevention, and support older browsers
  • Template - Fix CSS typo in colors
  • Template - hreflang URL correction
  • Template - Fix incorrect use of logo image height
  • Security: CVE-2017-11675 - Low-Risk vulnerability (required your Admin login to be hijacked first). Now prevents exporting to invalid filenames.
  • Optimization - Abort ajax requests from spiders
  • Enhancement - Cache-bypass added for certain db queries, so retrieved data is always fresh
  • Utility - Plugin version-check utility optimized to allow specific version-comparisons, and adapt to timeouts more quickly.
  • NOTE: There were NO Database Changes

Обновление Zen-Cart 1.5.5e -> 1.5.5f.
« Последнее редактирование: 02 Января 2018, 07:25:28 от AndrewBerezin »